Home

# Class goog.ui.FormPost

Creates a formpost object.

extends goog.ui.Component

Instance Method Summary
| `appendInput_(?goog.string.StringBuffer out, string name, string value)` Appends a hidden tag to a string buffer.
| `createDom()` Creates the initial DOM representation for the component. The default implementation is to set this.element_ = div.
| `post(?Object parameters, string= opt_url, string= opt_target)` Constructs a POST request and directs the browser as if a form were submitted.
| `setParameters_(?Element form, ?Object parameters)` Creates hidden inputs in a form to match parameters.